<p align="center">
	<img src="https://raw.githubusercontent.com/vinod1988/ids_material_sdk/main/assets/logo.png" height="80" alt="IDS Material Library" />
</p>
<p align="center">
	<a href="https://pub.dev/packages/ids_material_sdk"><img src="https://img.shields.io/pub/v/focus_detector.svg" alt="Pub.dev Badge"></a>
	<a href="https://github.com/tenhobi/effective_dart"><img src="https://img.shields.io/badge/style-effective_dart-40c4ff.svg" alt="Effective Dart Badge"></a>
	<a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/badge/license-MIT-purple.svg" alt="MIT License Badge"></a>
	<a href="https://github.com/vinod1988/ids_material_sdk"><img src="https://img.shields.io/badge/platform-flutter-ff69b4.svg" alt="Flutter Platform Badge"></a>
</p>

[comment]: <> (<a href="https://gitter.im/focus_detector/community"><img src="https://badges.gitter.im/focus_detector/community.svg" alt="Gitter Badge"></a>)
[comment]: <> (<a href="https://github.com/EdsonBueno/focus_detector/actions"><img src="https://github.com/EdsonBueno/focus_detector/workflows/build/badge.svg" alt="GitHub Build Badge"></a>)

##IDS Material SDK

[comment]: <> (Get notified every time your widget appears or disappears from the screen.)
[comment]: <> (Similar to `onResume&#40;&#41;`/`onPause&#40;&#41;` on Android and `viewDidAppear&#40;&#41;`/`viewDidDisappear&#40;&#41;` on iOS.)

IDS Material SDK callbacks :
- IDSMultiSelectDropDown;


## Usage

```dart
@override
Widget build(BuildContext context) =>
    IDSMultiSelectDropDown(
      limit: 3,
      onChanged: (List<String> x) {
        setState(() {
          selectedJobRole = x;
        });
      },
      options: jobRole ?? [],
      selectedValues: selectedJobRole,
      onLimitMessage: (limit) {
        APPHelper.showToast("You can only select 3 items");
      },
      whenEmpty: 'Select Job Role',
    );
```
# Custom Drop down List array and string array usage
```dart

 navigateToIDSDropDown(int code, String key, List<dynamic>? array) {
  showDialog(
      context: context,
      builder: (BuildContext context) {
        return Center(
          child: Dialog(
            shape: const RoundedRectangleBorder(
                borderRadius: BorderRadius.all(Radius.circular(10))),
            child: IDSDropDown(
              appBarBg:Color.red,
              requestedCode: code,
              jsonKeyName: key,
              dropDownArray: array,
              callback: (requestedCode, json) {
                if (requestedCode == 1) {
                  setState(() {
                    industryDropValue = json["name"];
                  });
                }

                if (requestedCode == 2) {
                  setState(() {
                    countryDropValue = json["name"];
                  });
                }
              },
            ),
          ),
        );
      });

  /*Navigator.push(
      context,
      MaterialPageRoute(
          builder: (context) =>
              IDSDropDown(
              appBarBg:Color.red,
                requestedCode: code,
                jsonKeyName: key,
                dropDownArray: array,
                callback: (requestedCode, json) {
                  if (requestedCode == 1) {
                    setState(() {
                      industryDropValue = json["name"];
                    });
                  }

                  if (requestedCode == 2) {
                    setState(() {
                      countryDropValue = json["name"];
                    });
                  }
                },
              ),
          fullscreenDialog: true),
    );*/
}




 navigateToIDSDropDownString(int code, List<String> array) {
    showDialog(
        context: context,
        builder: (BuildContext context) {
          return Center(
            child: Dialog(
              shape: const RoundedRectangleBorder(
                  borderRadius: BorderRadius.all(Radius.circular(10))),
              child: SizedBox(
                height: MediaQuery.of(context).size.width,
                child: IDSDropDownString(
                  appBarBg:Color.red,
                  requestedCode: code,
                  dropDownArray: array,
                  callback: (requestedCode, value) {
                    if (requestedCode == 1) {
                      setState(() {
                        employeeDropValue = value;
                      });
                    }
                  },
                ),
              ),
            ),
          );
        });

    /* Navigator.push(
      context,
      MaterialPageRoute(
          builder: (context) => IDSDropDownString(
          appBarBg:Color.red,
                requestedCode: code,
                dropDownArray: array,
                callback: (requestedCode, value) {
                  if (requestedCode == 1) {
                    setState(() {
                      employeeDropValue = value;
                    });
                  }
                },
              ),
          fullscreenDialog: true),
    );*/
  }

```
