import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';
import 'package:ids_material_sdk/ui/widget/theme.dart';

typedef IDSDropDownCallback<T, P> = void Function(T request, P value);

class IDSDropDown extends StatefulWidget {
  const IDSDropDown(
      {Key? key,
      required this.appBarBg,
      required this.requestedCode,
      required this.jsonKeyName,
      required this.dropDownArray,
      required this.callback})
      : super(key: key);

  final Color appBarBg;
  final IDSDropDownCallback<int, dynamic> callback;
  final int requestedCode;
  final String jsonKeyName;
  final List<dynamic>? dropDownArray;
  @override
  State<IDSDropDown> createState() => _IDSDropDownState();
}

class _IDSDropDownState extends State<IDSDropDown> {
  List<dynamic>? dataArray;

  @override
  void initState() {
    super.initState();
    setState(() {
      dataArray = widget.dropDownArray;
    });
  }

  @override
  Widget build(BuildContext context) {
    return _buildOverlayContent(context);
  }

  Widget _buildOverlayContent(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: widget.appBarBg,
      ),
      resizeToAvoidBottomInset: true,
      backgroundColor: hWhiteColor,
      body: Column(
        children: <Widget>[
          Expanded(
              child: ListView.separated(
                  itemBuilder: (BuildContext context, int index) {
                    return ListTile(
                      onTap: () {
                        setState(() {
                          widget.callback(
                              widget.requestedCode, dataArray?[index]);
                          Navigator.pop(context);
                        });
                      },
                      title: Html(
                        data: dataArray?[index] ?? "",
                        style: {"body": Style(alignment: Alignment.centerLeft)},
                      ),
                    );
                  },
                  separatorBuilder: (context, index) {
                    return const Divider(
                      thickness: 1,
                    );
                  },
                  itemCount: dataArray?.length ?? 0)),
          kSizeBox10,
        ],
      ),
    );
  }
}
