import 'package:flutter/material.dart';

const hWhiteColor = Color(0xFFFFFFFF);
const hGrayColor = Color(0xFF808080);
const hPrimaryColor = Color(0xFF5B0A91);
const hSecondaryColor = Color(0xFFE6E6E6);
const hOrange = Color(0xFFFAB51A);
const hBlack = Color(0xFF000000);
const hDarkGrayColor = Color(0xFF616161);
const hWhiteDimColor = Color(0xCBDCDCDC);

const kDefaultPadding = EdgeInsets.symmetric(horizontal: 30);

BorderRadius kCornerRadius = BorderRadius.circular(5);

TextStyle textButton = const TextStyle(
  color: hWhiteColor,
  fontSize: 18,
  fontWeight: FontWeight.w700,
);

BoxDecoration kContainerBD = BoxDecoration(
  border: Border.all(color: hGrayColor, width: 1.0),
  borderRadius: const BorderRadius.all(
      Radius.circular(15.0) //                 <--- border radius here
      ),
);

// Divider constant
SizedBox kSizeBox5 = const SizedBox(
  height: 5.0,
);
SizedBox kSizeBoxWidth5 = const SizedBox(
  width: 5.0,
);
SizedBox kSizeBox10 = const SizedBox(
  height: 10.0,
);
SizedBox kSizeBoxWidth10 = const SizedBox(
  width: 10.0,
);
SizedBox kSizeBox15 = const SizedBox(
  height: 15.0,
);
SizedBox kSizeBoxWidth15 = const SizedBox(
  width: 15.0,
);
SizedBox kSizeBoxWidth2 = const SizedBox(
  width: 2.0,
);
SizedBox kSizeBox20 = const SizedBox(
  height: 20.0,
);
SizedBox kSizeBoxWidth20 = const SizedBox(
  width: 20.0,
);
SizedBox kSizeBox30 = const SizedBox(
  height: 30.0,
);
SizedBox kSizeBoxWidth30 = const SizedBox(
  width: 30.0,
);

// Button title theme
Text kButtonTitle(String title) {
  return Text(
    title,
    style: const TextStyle(
        fontSize: 18, color: Colors.white, fontWeight: FontWeight.bold),
  );
}

ButtonStyle kButtonStyle() {
  return ElevatedButton.styleFrom(
    primary: hPrimaryColor,
    shape: const RoundedRectangleBorder(
        borderRadius: BorderRadius.all(Radius.circular(15))),
  );
}

ButtonStyle kButtonStyle2() {
  return ElevatedButton.styleFrom(
    primary: hWhiteColor,
    shape: const RoundedRectangleBorder(
        borderRadius: BorderRadius.all(Radius.circular(15))),
  );
}

ButtonStyle kButtonStyleDrop() {
  return ElevatedButton.styleFrom(
    primary: hOrange,
    shape: const RoundedRectangleBorder(
        borderRadius: BorderRadius.all(Radius.circular(15))),
  );
}

/*loading() {
  SpinKitFadingCircle(
    itemBuilder: (BuildContext context, int index) {
      return DecoratedBox(
        decoration: BoxDecoration(
          color: index.isEven ? Colors.red : Colors.green,
        ),
      );
    },
  );
}*/

class AppButton extends StatelessWidget {
  final String title;
  const AppButton({Key? key, required this.title}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 60,
      width: double.infinity,
      decoration: BoxDecoration(
        color: hPrimaryColor,
        borderRadius: BorderRadius.circular(15),
      ),
      child: Center(
        child: Text(
          title ?? "",
          style: const TextStyle(
              color: hWhiteColor, fontSize: 18, fontWeight: FontWeight.bold),
        ),
      ),
    );
  }
}

class AppBorderButton extends StatelessWidget {
  String? title;
  AppBorderButton({Key? key, this.title}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 60,
      width: double.infinity,
      decoration: BoxDecoration(
        color: Colors.transparent,
        borderRadius: BorderRadius.circular(15),
      ),
      child: Align(
        alignment: const Alignment(-0.9, 0.0),
        child: Text(
          title ?? "",
          style: const TextStyle(
              color: hGrayColor, fontSize: 16, fontWeight: FontWeight.normal),
        ),
      ),
    );
  }
}
